# IdentityKeyPair | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- IdentityKeyPair

## Index

### Properties

- address
- appsNodeKey
- key
- keyID
- salt
- stxNodeKey

## Properties

### address

address: string

- Defined in packages/keychain/src/utils/index.ts:75

### appsNodeKey

appsNodeKey: string

- Defined in packages/keychain/src/utils/index.ts:76

### key

key: string

- Defined in packages/keychain/src/utils/index.ts:73

### keyID

keyID: string

- Defined in packages/keychain/src/utils/index.ts:74

### salt

salt: string

- Defined in packages/keychain/src/utils/index.ts:78

### stxNodeKey

stxNodeKey: string

- Defined in packages/keychain/src/utils/index.ts:77

Generated using TypeDoc